apiVersion: v1
kind: Service
metadata:
  name: java-service
  namespace: migrate
spec:
  type: NodePort
  selector:
    app: java-app
  ports:
    - port: 5000
      targetPort: 5000
      # Optional field
      # By default and for convenience, the Kubernetes control plane will allocate a port from a range (default: 30000-32767)
      nodePort: 30009
    
